;;;; message-digest-types.scm
;;;; Kon Lovett, Mar '18

;; Issues
;;

;;include

(define-type pathname string)

(define-type srfi4vector
  (or u8vector s8vector u16vector s16vector u32vector s32vector f32vector f64vector))

(define-type message-digest-raw-chunk (struct message-digest-raw-chunk))

#; ;desired, bufpointer is (pointer + length)
(define-type message-digest-buffer
  (or string blob srfi4vector procedure input-port bufpointer))
(define-type message-digest-buffer (or string blob u8vector))

(define-type message-digest-byte-order symbol)

(define-type message-digest-result-form symbol)

(define-type message-digest-result-type (or string blob u8vector))

(define-type message-digest-context (or fixnum procedure))

(define-type message-digest-primitive (struct message-digest-primitive))

(define-type message-digest-primitive-name (or symbol string))

(define-type message-digest (struct message-digest))

(define-type digest-output-port output-port)
